#
#  head.mk
#  Apple2BuildPipelineSample
#
#  Part of a sample build pipeline for Apple II software development
#
#  Created by Quinn Dunki on 8/15/14.
#  One Girl, One Laptop Productions
#  http://www.quinndunki.com
#  http://www.quinndunki.com/blondihacks
#

CC65_BIN=/usr/local/bin

ifneq ($(wildcard /usr/local/lib/cc65),)
    export CC65_HOME := /usr/local/lib/cc65
else
    export CC65_HOME := /usr/local/share/cc65
endif

CL65=$(CC65_BIN)/cl65
CA65=$(CC65_BIN)/ca65
CC65=$(CC65_BIN)/cc65
CO65=$(CC65_BIN)/co65

MERLIN_DIR=/usr/local
export MERLIN_BIN=$(MERLIN_DIR)/bin/Merlin32
export MERLIN_LIB=$(MERLIN_DIR)/lib/Merlin
MERLIN_ASM=make/merlin-asm

AC=make/AppleCommander.jar

SRCDIRS=.

# Check for Xcode build variables for the locations of build outputs and fall back
# to the current directory if not set.
ifeq ($(OBJECT_FILE_DIR),)
    OBJDIR=.
else
    export OBJECT_FILE_DIR
    OBJDIR=$(OBJECT_FILE_DIR)
endif

ifeq ($(DERIVED_SOURCES_DIR),)
    GENDIR=.
else
    export DERIVED_SOURCES_DIR
    GENDIR=$(DERIVED_SOURCES_DIR)
endif

ifeq ($(TARGET_BUILD_DIR),)
    TARGETDIR=.
else
    export TARGET_BUILD_DIR
    TARGETDIR=$(TARGET_BUILD_DIR)
endif


MACHINE=apple2
CPU=6502
CFLAGS=
ASMFLAGS=
LDFLAGS=
DRIVERS=
DRVDIR=$(GENDIR)/drivers

MKDIR=mkdir -p

XCODE_PATH=/Applications/Xcode.app
XCODE_INFO=$(XCODE_PATH)/Contents/Info.plist

CC65_PLUGIN_PATH=$(HOME)/Library/Developer/Xcode/Plug-ins/cc65.ideplugin
CC65_PLUGIN_INFO=$(CC65_PLUGIN_PATH)/Contents/Info.plist

XCODE_PLUGIN_COMPATIBILITY=DVTPlugInCompatibilityUUID


.PHONY: all gen genclean

all:
	@make gen
	@make build

